//------------------------------------------------------------------------------------
// irr::scene::IMetaTriangleSelector wrappers
//------------------------------------------------------------------------------------

extern "C" void IrrScene_IMetaTriangleSelector_addTriangleSelector(IMetaTriangleSelector* ts,ITriangleSelector* toAdd)
{
	if (ts)
		ts->addTriangleSelector(toAdd);
}

extern "C" void IrrScene_IMetaTriangleSelector_removeAllTriangleSelectors(IMetaTriangleSelector* ts)
{
	if (ts)
		ts->removeAllTriangleSelectors();
}

extern "C" bool IrrScene_IMetaTriangleSelector_removeTriangleSelector(IMetaTriangleSelector* ts,ITriangleSelector* toRemove)
{
	if (ts)
		return ts->removeTriangleSelector(toRemove);
	else return false;
}


